#include "docs.h"

/*
 * Print an entry from the docs file 'fp' starting at 'start' with the TAG character.
 */
void print_doc(long offset) {
    fseek(fp_docs, offset, 0);
    char c = getc(fp_docs);
    if (c != TAG) {
        printf("WARN: document does not start with TAG at %ld\n", offset);
    }
    while (((c = getc(fp_docs)) != TAG) && (c != EOF)) {
        putchar(c);
    }
}
